<template>
  <section class="hero">
    <div class="image-hero">
      <h1 class="title">
        <slot />
      </h1>
      <b-image
        :src="src"
        @load="onLoad"
      />
    </div>
  </section>
</template>

<script>
import { defineComponent } from '@vue/composition-api'

export default defineComponent({
  name: 'ImageHero',
  props: {
    src: {
      type: String,
      default: null
    }
  },
  data () {
    return {
      loadedSrc: ''
    }
  },
  methods: {
    onLoad (event, src) {
      this.loadedSrc = src
    }
  }
})
</script>
